Bug 21034 - Re-indent circulation.tt
Summary: Re-indent circulation.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-03 18:14 UTC by Owen Leonard
Modified: 2019-04-26 15:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 20520: Re-indent moremember.tt (108.73 KB, patch)
2018-07-03 19:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (108.68 KB, patch)
2018-08-10 18:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (108.74 KB, patch)
2018-08-12 16:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (108.80 KB, patch)
2018-08-13 09:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (111.71 KB, patch)
2018-08-29 13:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (100.69 KB, patch)
2019-01-24 19:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (110.74 KB, patch)
2019-04-23 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (110.80 KB, patch)
2019-04-23 22:01 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 21034: Re-indent circulation.tt (110.85 KB, patch)
2019-04-24 06:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-07-03 18:14:55 UTC
I would like to re-indent circulation.tt and remove trailing spaces.
Comment 1 Owen Leonard 2018-07-03 19:17:01 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-08-10 18:37:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-08-12 16:27:42 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2018-08-13 09:58:14 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2018-08-13 09:58:43 UTC
Always nice to bring some sanity to the indenting :)

No regressions found, passing QA.
Comment 6 Nick Clemens 2018-08-24 16:21:01 UTC
Needs a rebase on 13618, sorry Owen
Comment 7 Owen Leonard 2018-08-29 13:51:39 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2019-01-24 19:26:14 UTC
Created attachment 84387 [details] [review]
Bug 21034: Re-indent circulation.tt

This patch reindents the template for the checkout page, circulation.tt:

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, view the checkout page under various circumstances:

- No card number submitted
- Name submitted (patron search results)
- Card number submitted
  - Restricted patron
  - Patron with circulation messages
  - On-site checkouts
  - Check all tabs: checkouts, relatives' checkouts holds, article
    requests, restrictions, clubs

HTML validation before and after the patch should return the same
results.
Comment 9 Maryse Simard 2019-02-15 21:25:15 UTC
Patch doesn't apply

Applying: Bug 21034: Re-indent circulation.tt
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
error: Failed to merge in the changes.
Patch failed at 0001 Bug 21034: Re-indent circulation.tt
Comment 10 Owen Leonard 2019-04-23 17:04:15 UTC
Created attachment 88548 [details] [review]
Bug 21034: Re-indent circulation.tt

This patch reindents the template for the checkout page, circulation.tt:

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, view the checkout page under various circumstances:

- No card number submitted
- Name submitted (patron search results)
- Card number submitted
  - Restricted patron
  - Patron with circulation messages
  - On-site checkouts
  - Check all tabs: checkouts, relatives' checkouts holds, article
    requests, restrictions, clubs

HTML validation before and after the patch should return the same
results.
Comment 11 Lucas Gass 2019-04-23 22:01:42 UTC
Created attachment 88569 [details] [review]
Bug 21034: Re-indent circulation.tt

This patch reindents the template for the checkout page, circulation.tt:

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, view the checkout page under various circumstances:

- No card number submitted
- Name submitted (patron search results)
- Card number submitted
  - Restricted patron
  - Patron with circulation messages
  - On-site checkouts
  - Check all tabs: checkouts, relatives' checkouts holds, article
    requests, restrictions, clubs

HTML validation before and after the patch should return the same
results.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 12 Katrin Fischer 2019-04-24 06:12:11 UTC
Created attachment 88593 [details] [review]
Bug 21034: Re-indent circulation.tt

This patch reindents the template for the checkout page, circulation.tt:

- Trailing spaces removed
- Indentation changed to a consistent 4 spaces
- Markup indentation made more consistent

To test, view the checkout page under various circumstances:

- No card number submitted
- Name submitted (patron search results)
- Card number submitted
  - Restricted patron
  - Patron with circulation messages
  - On-site checkouts
  - Check all tabs: checkouts, relatives' checkouts holds, article
    requests, restrictions, clubs

HTML validation before and after the patch should return the same
results.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Nick Clemens 2019-04-24 11:40:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 14 Martin Renvoize 2019-04-26 15:01:10 UTC
Enhancement will not be backported to 18.11.x series.